package com.bankaudit.rest.process.service;

import java.util.Date;
import java.util.Map;

import com.bankaudit.dto.process.AuditPlanDto;
import com.bankaudit.process.model.AuditPlan;
import com.bankaudit.process.model.AuditPlanHst;
import com.bankaudit.process.model.AuditPlanWrk;

public interface AuditPlanService {

	void createAuditPlanWrk(AuditPlanWrk auditPlanWrk);
	

	AuditPlanWrk getByPlanId(String id);

	void updateAuditPlanWrk(AuditPlanWrk auditPlanWrk);
	
	
	Boolean isAuditPlanWrk(Integer legalEntityCode, String auditTypeCode,Date date,String planType);
	
	void createAuditPlanHst(AuditPlanHst auditPlanHst);

	void createAuditPlan(AuditPlan auditPlan);
	
	AuditPlanDto getPlanDetails(Integer legalEntityCode, AuditPlanDto apd);
	
	AuditPlanDto getPlanDetailsByPlanId(Integer legalEntityCode, String auditTypeCode, String PlanId, AuditPlanDto apd);
	
	String createAndGetAuditSchedule(Integer legalEntityCode, AuditPlanDto apd);
	
	void updateAuditScheduleAndTeam(Integer legalEntityCode, AuditPlanDto apd);

	void createAuditTeam(Integer legalEntityCode, AuditPlanDto apd);
}
